Loading...
Searching...
No Matches
RDKit::SubsetOptions Struct Reference

Subsetting Options for copyMolSubset. More...

`#include <Subset.h>`

## Public Attributes

bool | sanitize
bool | clearComputedProps
bool | copyAsQuery = false
bool | copyCoordinates
unsigned int | conformerIdx
SubsetMethod | method

## Detailed Description

Subsetting Options for copyMolSubset.

Definition at line 42 of file Subset.h.

## Member Data Documentation

## clearComputedProps

bool RDKit::SubsetOptions::clearComputedProps

Initial value:
=
false

clear all computed props on the subsetted molecule

Definition at line 45 of file Subset.h.

## conformerIdx

unsigned int RDKit::SubsetOptions::conformerIdx

Initial value:
=
-1u

What conformer idx to use for the coordinates default is -1

Definition at line 50 of file Subset.h.

## copyAsQuery

bool RDKit::SubsetOptions::copyAsQuery = false

Return the subset as a query

Definition at line 47 of file Subset.h.

## copyCoordinates

bool RDKit::SubsetOptions::copyCoordinates

Initial value:
=
true

*Copy the active coordinates from the molecule

Definition at line 48 of file Subset.h.

## method

SubsetMethod RDKit::SubsetOptions::method

Initial value:
=
SubsetMethod::BONDS_BETWEEN_ATOMS
RDKit::SubsetMethod::BONDS_BETWEEN_ATOMS
@ BONDS_BETWEEN_ATOMS
Definition Subset.h:30

Subsetting method to use. Note if atoms and bonds are fully specified the method is ignored.

Definition at line 53 of file Subset.h.

## sanitize

bool RDKit::SubsetOptions::sanitize

Initial value:
=
false

perform sanitization automatically on the subset

Definition at line 43 of file Subset.h.

The documentation for this struct was generated from the following file:

- Subset.h